# LinkSharedLibrary

API Documentation: | `LinkSharedLibrary`

Note: This class is incubating and may change in a future version of Gradle.

Links a binary shared library from object files and imported libraries.

### Properties

Property | Description
`libs` | Incubating The library files to be passed to the linker.
`linkerArgs` | Incubating Additional arguments passed to the linker.
`outputFile` | Incubating The file where the linked binary will be located.
`source` | Incubating The source object files to be passed to the linker.
`toolChain` | Incubating The tool chain used for linking.

### Property details

#### `FileCollection` `libs`

Note: This property is incubating and may change in a future version of Gradle.

The library files to be passed to the linker.

#### ``List`<`String`>` `linkerArgs`

Note: This property is incubating and may change in a future version of Gradle.

Additional arguments passed to the linker.

#### `File` `outputFile`

Note: This property is incubating and may change in a future version of Gradle.

The file where the linked binary will be located.

#### `FileCollection` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source object files to be passed to the linker.

#### `ToolChain` `toolChain`

Note: This property is incubating and may change in a future version of Gradle.

The tool chain used for linking.

### Script blocks

No script blocks

### Methods

Method | Description
`lib(libs)` | Incubating Adds a set of library files to be linked. The provided libs object is evaluated as per `Project.files()`.
`source(source)` | Incubating Adds a set of object files to be linked. The provided source object is evaluated as per `Project.files()`.

### Method details

#### `void` `lib`(`Object` libs)

Note: This method is incubating and may change in a future version of Gradle.

Adds a set of library files to be linked. The provided libs object is evaluated as per `Project.files()`.

#### `void` `source`(`Object` source)

Note: This method is incubating and may change in a future version of Gradle.

Adds a set of object files to be linked. The provided source object is evaluated as per `Project.files()`.